clc
clear all
close all
repertoire_data = 'Dataset\Shear_Wave_Rot00_CSV_Data';
fichiers = dir(fullfile(repertoire_data, '*.csv'));
tableau_3D = [];
for i = 10:(numel(fichiers) - 3)
    nom_fichier = fullfile(repertoire_data, fichiers(i).name);
    donnees = load(nom_fichier);
    first_row = (donnees);
    tableau_3D((i - 9), :, :) = abs(hilbert(first_row));
end

for i=1:52
    for j=1:101
        for l=1:2000
            t(i,j,l)=tableau_3D(i,j,l);
        end
    end
end
 volumeViewer(t);



